### Signal

# Jsonrpc Server::client-accepted

since: 3.28

#### Declaration

    void
    client_accepted (
      JsonrpcServer* self,
      JsonrpcClient* client,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new client has been accepted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.28

#### Parameters

`client`

  Type: `JsonrpcClient`

  A `JsonrpcClient`.

  The data is owned by the caller of the function.